Package org.eclipse.wst.xsl.core.internal.validation

## org.eclipse.wst.xsl.core.internal.validation
Class XSLValidationMessage

    public class XSLValidationMessage
    extends ValidationMessage

A validation message specific to the XSL validator which adds the ability to specify the XSL node.

## Constructor Summary

`XSLValidationMessage(java.lang.String message , int lineNumber , int columnNumber , java.lang.String uri)`

## Method Summary

`public org.eclipse.wst.xsl.core.model.XSLNode` | `getNode()` Get the node that this message applies to.
`public int` | `getRealSeverity()` Workaround for superclass's bizarre handling of severity
`public void` | `setNode(org.eclipse.wst.xsl.core.model.XSLNode node)` Set the node that this message applies to.
`public void` | `setSeverity(int sev)` The severity set here should be the org.eclipse.wst.validation.internal.provisional.core.IMessage severity.
`public java.lang.String` | `toString()`

## Constructor Detail

## XSLValidationMessage

`public XSLValidationMessage(java.lang.String message , int lineNumber , int columnNumber , java.lang.String uri)`

Create a new instance of this.

## Methods Detail

## getNode

`public org.eclipse.wst.xsl.core.model.XSLNode getNode()`

Get the node that this message applies to.

### Returns

`org.eclipse.wst.xsl.core.model.XSLNode` - the node

## getRealSeverity

`public int getRealSeverity()`

Workaround for superclass's bizarre handling of severity

### Returns

`int`

## setNode

`public void setNode(org.eclipse.wst.xsl.core.model.XSLNode node)`

Set the node that this message applies to.

### Parameters

`node` - the node

## setSeverity

`public void setSeverity(int sev)`

The severity set here should be the org.eclipse.wst.validation.internal.provisional.core.IMessage severity.

### Parameters

`sev`

## toString

`public java.lang.String toString()`

### Returns

`java.lang.String`